org.eclipse.rdf4j.query.resultio

## Class TupleQueryResultFormat

- java.lang.Object
- - org.eclipse.rdf4j.common.lang.FileFormat
  - - org.eclipse.rdf4j.query.resultio.QueryResultFormat
    - - org.eclipse.rdf4j.query.resultio.TupleQueryResultFormat

-     public class TupleQueryResultFormat
      extends QueryResultFormat

  Represents the concept of an tuple query result serialization format. Tuple query result formats are identified by a `name` and can have one or more associated MIME types, zero or more associated file extensions and can specify a (default) character encoding.
  Author:
    Arjohn Kampman

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TupleQueryResultFormat` | `BINARY` Binary RDF results table format.
    `static TupleQueryResultFormat` | `CSV` SPARQL Query Result CSV Format.
    `static TupleQueryResultFormat` | `JSON` SPARQL Query Results JSON Format.
    `static TupleQueryResultFormat` | `JSON_STAR` SPARQL* Query Results JSON Format (like SPARQL JSON but with RDF* support).
    `static TupleQueryResultFormat` | `SPARQL` SPARQL Query Results XML Format.
    `static TupleQueryResultFormat` | `SPARQL_STAR` SPARQL* Query Results XML Format (like SPARQL/XML but with native RDF* support).
    `static TupleQueryResultFormat` | `TSV` SPARQL Query Result TSV Format.
    `static TupleQueryResultFormat` | `TSV_STAR` SPARQL* Query Results TSV Format (like SPARQL TSV but with RDF* support).

    - ### Fields inherited from class org.eclipse.rdf4j.query.resultio.QueryResultFormat

      `SPARQL_RESULTS_CSV_URI, SPARQL_RESULTS_JSON_URI, SPARQL_RESULTS_TSV_URI, SPARQL_RESULTS_XML_URI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleQueryResultFormat(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions, boolean supportsRDFStar)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions, IRI standardURI)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, Collection<String> mimeTypes, Charset charset, Collection<String> fileExtensions, IRI standardURI, boolean supportsRDFStar)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, String mimeType, Charset charset, String fileExt)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, String mimeType, Charset charset, String fileExt, boolean supportsRDFStar)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, String mimeType, String fileExt)` Creates a new TupleQueryResultFormat object.
    `TupleQueryResultFormat(String name, String mimeType, String fileExt, boolean supportsRDFStar)` Creates a new TupleQueryResultFormat object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `supportsRDFStar()` Return `true` if the TupleQueryResultFormat supports the encoding of RDF* triples natively.

    - ### Methods inherited from class org.eclipse.rdf4j.query.resultio.QueryResultFormat

      `getStandardURI, hasStandardURI`

    - ### Methods inherited from class org.eclipse.rdf4j.common.lang.FileFormat

      `equals, getCharset, getDefaultFileExtension, getDefaultMIMEType, getFileExtensions, getMIMETypes, getName, hasCharset, hasDefaultFileExtension, hasDefaultMIMEType, hasFileExtension, hashCode, hasMIMEType, matchFileName, matchMIMEType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### SPARQL

          public static final TupleQueryResultFormat SPARQL

      SPARQL Query Results XML Format.

    - #### SPARQL_STAR

          @Experimental
          public static final TupleQueryResultFormat SPARQL_STAR

      SPARQL* Query Results XML Format (like SPARQL/XML but with native RDF* support).

    - #### BINARY

          public static final TupleQueryResultFormat BINARY

      Binary RDF results table format.

    - #### JSON

          public static final TupleQueryResultFormat JSON

      SPARQL Query Results JSON Format.

    - #### JSON_STAR

          @Experimental
          public static final TupleQueryResultFormat JSON_STAR

      SPARQL* Query Results JSON Format (like SPARQL JSON but with RDF* support).

    - #### CSV

          public static final TupleQueryResultFormat CSV

      SPARQL Query Result CSV Format.

    - #### TSV

          public static final TupleQueryResultFormat TSV

      SPARQL Query Result TSV Format.

    - #### TSV_STAR

          public static final TupleQueryResultFormat TSV_STAR

      SPARQL* Query Results TSV Format (like SPARQL TSV but with RDF* support).

  - ### Constructor Detail

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        String mimeType,
                                        String fileExt)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format.
        `fileExt` - The (default) file extension for the format, e.g. `srx` for SPARQL/XML.

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        String mimeType,
                                        String fileExt,
                                        boolean supportsRDFStar)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format.
        `fileExt` - The (default) file extension for the format, e.g. `srx` for SPARQL/XML.
        `supportsRDFStar` - `True` if the TupleQueryResultFormat supports the encoding of RDF* triples natively and `false` otherwise.
      Since:
        3.2.0

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        String mimeType,
                                        Charset charset,
                                        String fileExt)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExt` - The (default) file extension for the format, e.g. `srx` for SPARQL/XML.

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        String mimeType,
                                        Charset charset,
                                        String fileExt,
                                        boolean supportsRDFStar)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeType` - The MIME type of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExt` - The (default) file extension for the format, e.g. `srx` for SPARQL/XML.
        `supportsRDFStar` - `True` if the TupleQueryResultFormat supports the encoding of RDF* triples natively and `false` otherwise.
      Since:
        3.2.0

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        Collection<String> mimeTypes,
                                        Charset charset,
                                        Collection<String> fileExtensions)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExtensions` - The format's file extensions, e.g. `srx` for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        Collection<String> mimeTypes,
                                        Charset charset,
                                        Collection<String> fileExtensions,
                                        boolean supportsRDFStar)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExtensions` - The format's file extensions, e.g. `srx` for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.
        `supportsRDFStar` - `True` if the TupleQueryResultFormat supports the encoding of RDF* triples natively and `false` otherwise.
      Since:
        3.2.0

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        Collection<String> mimeTypes,
                                        Charset charset,
                                        Collection<String> fileExtensions,
                                        IRI standardURI)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExtensions` - The format's file extensions, e.g. `srx` for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.
        `standardURI` - The standard URI that has been assigned to this format by a standards organisation or null if it does not currently have a standard URI.
      Since:
        3.2.0

    - #### TupleQueryResultFormat

          public TupleQueryResultFormat(String name,
                                        Collection<String> mimeTypes,
                                        Charset charset,
                                        Collection<String> fileExtensions,
                                        IRI standardURI,
                                        boolean supportsRDFStar)

      Creates a new TupleQueryResultFormat object.
      Parameters:
        `name` - The name of the format, e.g. "SPARQL/XML".
        `mimeTypes` - The MIME types of the format, e.g. `application/sparql-results+xml` for the SPARQL/XML format. The first item in the list is interpreted as the default MIME type for the format.
        `charset` - The default character encoding of the format. Specify `null` if not applicable.
        `fileExtensions` - The format's file extensions, e.g. `srx` for SPARQL/XML files. The first item in the list is interpreted as the default file extension for the format.
        `standardURI` - The standard URI that has been assigned to this format by a standards organisation or null if it does not currently have a standard URI.
        `supportsRDFStar` - `True` if the TupleQueryResultFormat supports the encoding of RDF* triples natively and `false` otherwise.
      Since:
        3.2.0

  - ### Method Detail

    - #### supportsRDFStar

          public boolean supportsRDFStar()

      Return `true` if the TupleQueryResultFormat supports the encoding of RDF* triples natively.
      Since:
        3.2.0

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.